<template>
  <div v-if="infoObj.msg" :class="[infoObj.class, 'rounded-md']">
    <p
      class="font-primary-font-light text-base leading-6 text-black p-4 md:px-6"
      :class="[infoObj.type === 'error' ? 'py-4' : 'py-5']"
      v-html="infoObj.msg"
    >
      {{ infoObj.msg }}
    </p>
  </div>
</template>
<script>
export default {
  name: 'MkInfoMessage',
  props: {
    infoObj: {
      type: Object,
      default: {
        type: 'info',
        msg: '',
        class: 'bg-information-bg rounded-md my-4',
      },
    },
  },
}
</script>
